Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226357 - Merge Review: rdate
Summary: Merge Review: rdate
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:48 UTC by Nobody's working on this, feel free to take it
Modified: 2015-03-05 01:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-29 13:26:12 UTC
roozbeh: fedora-review-


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:48:27 UTC
Fedora Merge Review: rdate

http://cvs.fedora.redhat.com/viewcvs/devel/rdate/
Initial Owner: pknirsch@redhat.com

Comment 1 Roozbeh Pournader 2007-02-07 14:39:50 UTC
Random first notes:
* Remove the dot at the end of Summary line.
* It seems that there is no upstream. No URL is given, and the Source address
doesn't work either. So I can't check that this is the same as the upstream
source. (BLOCKER)
* Change BuildRoot to %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* Use the option %{?_smp_mflags} for make.
* Don't use %makeinstall, if possible. See
http://fedoraproject.org/wiki/Packaging/Guidelines#MakeInstall
* Use %defattr(-,root,root,-) instead of %defattr(-,root,root)
* Consider using %{?dist} in Release tag.
* The binary file 'rdate' is installed with permission 555 in the Makefile. It
should be 755. This can be fixed either by patching the Makefile or by
explicitly changing the permission in the %install or %files section. (BLOCKER)


Comment 2 Phil Knirsch 2007-05-29 13:26:12 UTC
* Remove the dot at the end of Summary line.

Fixed

* It seems that there is no upstream. No URL is given, and the Source address
doesn't work either. So I can't check that this is the same as the upstream
source. (BLOCKER)

There is no real upstream anymore except the tarball from sopwith (Elliot Lee)

* Change BuildRoot to %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Fixed

* Use the option %{?_smp_mflags} for make.

Fixed

* Don't use %makeinstall, if possible. See
http://fedoraproject.org/wiki/Packaging/Guidelines#MakeInstall

Fixed

* Use %defattr(-,root,root,-) instead of %defattr(-,root,root)

Fixed

* Consider using %{?dist} in Release tag.

Fixed

* The binary file 'rdate' is installed with permission 555 in the Makefile. It
should be 755. This can be fixed either by patching the Makefile or by
explicitly changing the permission in the %install or %files section. (BLOCKER)

Fixed



Note You need to log in before you can comment on or make changes to this bug.